Bug 261232 - net-im/py-matrix-synapse: Update dependency patch to avoid problems with devel/py-frozendict-2.1.2
Summary: net-im/py-matrix-synapse: Update dependency patch to avoid problems with deve...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-15 16:16 UTC by Sascha Biberhofer
Modified: 2022-01-25 16:37 UTC (History)
3 users (show)

See Also:


Attachments
net-im/py-matrix-synapse: Remove frozendict dependency version limit check (1.53 KB, patch)
2022-01-15 16:16 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2022-01-15 16:16:13 UTC
Created attachment 231024 [details]
net-im/py-matrix-synapse: Remove frozendict dependency version limit check

In 1.49.2, the synapse developers introduced a limit on py-frozendict<2.1.2 due to a bug with that version on Debian 10, see[1]. Since synapse checks the version of installed dependencies on start, the recent update of devel/py-frozendict in 967f80740a61a22988967e1c2581abedd4708647 prevents synapse from starting.

Since py-frozendict-2.1.2 works perfectly fine on FreeBSD, this revision removes the dependency restriction to unbreak our port.

The resulting package passes tests and runs fine in production, so this should be good to go, but feedback is of course always welcome. Special thanks to Stefan Hämmerl who brought this issue to my attention. :D

Cheers,
Sascha

[1] https://github.com/matrix-org/synapse/commit/2bf31f7807c7a0c229170803c97090d612dc16f9
Comment 1 David Marec 2022-01-17 22:05:47 UTC
I just wanted to confirm: I had to (quickly) apply similar patch to make my own server online again.

Thanks.
Comment 2 dave 2022-01-17 23:22:37 UTC
The patch you posted ... the Makefile part of that does not apply (relative to Q12022's branch of the ports tree). The other part (the more important one) does. Just FYI.
Comment 3 Sascha Biberhofer 2022-01-18 07:53:57 UTC
(In reply to dave from comment #2)
Hi Dave,

The patch is against the main branch of ports (as is the norm, I think). The 2021Q1 branch isn't affected since it still ships devel/py-frozendict-2.1.1.
Comment 4 commit-hook freebsd_committer 2022-01-18 17:49:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e51b5b86095bdb962b05f3c1e504fb33a91d5c96

commit e51b5b86095bdb962b05f3c1e504fb33a91d5c96
Author:     Sascha Biberhofer <ports@skyforge.at>
AuthorDate: 2022-01-18 17:37:18 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2022-01-18 17:47:40 +0000

    net-im/py-matrix-synapse: Unbreak the port

    - Remove the dependency constraint added by upstream for problem
      on Debian GNU/Linux, which does not occur on FreeBSD

    PR:             261232

 net-im/py-matrix-synapse/Makefile                           |  2 +-
 .../files/patch-synapse_python__dependencies.py             | 13 +++++++++++--
 2 files changed, 12 insertions(+), 3 deletions(-)
Comment 5 Ashish SHUKLA freebsd_committer 2022-01-18 17:51:25 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2022-01-25 16:37:41 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=629197586cda1f5f9b5ae670605a93b03767a962

commit 629197586cda1f5f9b5ae670605a93b03767a962
Author:     Sascha Biberhofer <ports@skyforge.at>
AuthorDate: 2022-01-18 17:37:18 +0000
Commit:     Ashish SHUKLA <ashish@FreeBSD.org>
CommitDate: 2022-01-25 16:35:37 +0000

    net-im/py-matrix-synapse: Unbreak the port

    - Remove the dependency constraint added by upstream for problem
      on Debian GNU/Linux, which does not occur on FreeBSD

    This commit resolves a merge conflict due to skipping 0290f284f.

    PR:             261232
    (cherry picked from commit e51b5b86095bdb962b05f3c1e504fb33a91d5c96)

 net-im/py-matrix-synapse/Makefile                           |  1 +
 .../files/patch-synapse_python__dependencies.py             | 13 +++++++++++--
 2 files changed, 12 insertions(+), 2 deletions(-)